using System;

namespace slova_kvalifikacije2.py
{
    class Program
    {
        static readonly int konstanta = 1000000007;
        static readonly string abeceda = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        static int prebroj(string text, int index, char slovo)
        {
            int s = 0;
            for (int i=index; i<text.Length; i++)
            {
                if (text[i] == slovo)
                {
                    s += 1;
                }
            }
             return s;
        }
        static int kombinacije(int index, int idxSlova, string text)
        {
            char slovo = abeceda[idxSlova];
            if (slovo == abeceda[abeceda.Length-1])
            {
                return prebroj(text,index,slovo);
            }
            else
            {
                int zbir = 0;
                int i = index;
                while (i<text.Length)
                {
                    if (text[i]==slovo)
                    {
                        int u = i+1;
                        while (u<text.Length && text[u]==slovo)
                        {
                            u++;
                        }
                        zbir += ((u - i) * (kombinacije(u, idxSlova + 1, text))) % konstanta;
                        i = u;
                    }
                    else
                    {
                        i++;
                    }
                }
                return zbir;
            }
        }
        
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string natpis = Console.ReadLine();
            Console.WriteLine(kombinacije(0, 0, natpis));
            


        }
    }
}